#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "drawarea.h"
#include <string>
#include "ExprParser/ExprParser.h"

class MainWindow;

// Global objects
extern DrawArea* drawArea;
extern MainWindow* mainWindow;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    double xMin;
    double xMax;
    std::string expression;
    Parser parser;
    bool parseSuccess;

private slots:
    void on_xMin_editingFinished();

    void on_xMax_editingFinished();

    void on_redrawButton_clicked();

    void on_parseButton_clicked();

    void on_expression_returnPressed();

    void on_xMax_returnPressed();

    void on_xMin_returnPressed();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
